@echo off

set CACHE_LIB=./lib
set CACHE_OUTPUT=./output

set CLASSPATH=%CACHE_LIB%/commons-logging.jar;%CACHE_LIB%/bsh-2.0b4.jar;%CACHE_LIB%/jboss-aop.jar;%CACHE_LIB%/jboss-j2ee.jar;%CACHE_LIB%/jgroups.jar;%CACHE_LIB%/jboss-cache.jar;%CACHE_LIB%/jboss-jmx.jar;%CACHE_LIB%/trove.jar;%CACHE_LIB%/javassist.jar;%CACHE_LIB%/jboss-minimal.jar;%CACHE_LIB%/jboss-common.jar;%CACHE_LIB%/jboss-system.jar;%CACHE_LIB%/log4j.jar;%CACHE_LIB%/concurrent.jar;%CACHE_LIB%/je.jar;%CACHE_LIB%/jboss-remoting.jar;%CACHE_LIB%/jboss-serialization.jar

set AOP_PATH=%CACHE_OUTPUT%/etc/META-INF

set CLASSPATH=%CLASSPATH%;%CACHE_OUTPUT%/etc;%CACHE_OUTPUT%/classes
set CP=%CLASSPATH%
set LOG4J=%CACHE_OUTPUT%/etc/log4j.xml
set L4J=%LOG4J%

call build aopc
set ARGS=-Dlog4j.configuration=file:%L4J%

java -cp %CP% %ARGS% -Djboss.aop.aoppath=%AOP_PATH% bsh.Console
